#include <bits/stdc++.h>
#define pb push_back
#define popb pop_back
#define fi first
#define se second
#define ull unsigned ll
#define pll pair<ll,ll>
#define ll long long
#define INF 1e18
#define mod 998244353
#define maxn 200010
#define logN 17
using namespace std;

int main(){
    ios::sync_with_stdio(false); cin.tie(0); cout.tie(0); cerr.tie(0);
    ll n,h; cin>>n>>h;
    bool res=0;
    for(ll i=1;i<=n;i++){
        ll pom; cin>>pom;
        if(pom<=h && !res){
            cout<<i; res=1;
        }
    }
    if(!res) cout<<-1;
    return 0;
}